import request from '@/utils/request'

export default {
    //变压器台账分页查询
    transformerPage(data) {
        return request({
            url: '/device-boot/pqsTransformer/transformerPage',
            method: 'post',
            data,
        })
    },
    //分页查询变压器策略
    flgployPage(data) {
        return request({
            url: '/device-boot/pqsTflgploy/flgployPage',
            method: 'post',
            data,
        })
    },
    //变压器台账新增
    insertTransformer(data) {
        return request({
            url: '/device-boot/pqsTransformer/insertTransformer',
            method: 'post',
            data,
        })
    },
    //新增变压器策略
    insertFlgPloy(data) {
        return request({
            url: '/device-boot/pqsTflgploy/insertFlgPloy',
            method: 'post',
            data,
        })
    },
    //变压器台账修改
    updateTransformer(data) {
        return request({
            url: '/device-boot/pqsTransformer/updateTransformer',
            method: 'post',
            data,
        })
    },
    //变压器策略详情
    getFlgPloyInfo(data) {
        return request({
            url: '/device-boot/pqsTflgploy/getFlgPloyInfo',
            method: 'get',
            params:data,
        })
    },
    //修改变压器策略
    updateFlgPloy(data) {
        return request({
            url: '/device-boot/pqsTflgploy/updateFlgPloy',
            method: 'post',
            data,
        })
    },
    //变压器台账删除
    delTransformer(data) {
        return request({
            url: '/device-boot/pqsTransformer/delTransformer',
            method: 'post',
            data,
        })
    },
    //删除变压器策略
    delFlgPloy(data) {
        return request({
            url: '/device-boot/pqsTflgploy/delFlgPloy',
            method: 'get',
            params:data,
        })
    },
    //获取变压器台账
    getTransformerTree() {
        return request({
            url: '/device-boot/pqsTransformer/getTransformerTree',
            method: 'get',
        })
    },
    //获取上下节点信息
    getGeneratrix(data) {
        return request({
            url: '/device-boot/pqsTransformer/getGeneratrix',
            method: 'get',
            params:data,
        })
    },
     //变电站节点维护
     nodeMaintenance(data) {
        return request({
            url: '/device-boot/pqsTransformer/nodeMaintenance',
            method: 'post',
            data,
        })
    },
}